---
title: 'Animation inspector example: CSS transitions'
slug: >-
  Tools/Page_Inspector/How_to/Work_with_animations/Animation_inspector_example:_CSS_transitions
---
<div>{{ToolsSidebar}}</div><h2 id="firefox-logo-animation">firefox-logo-animation</h2>

<p>Example animation using <a href="/en-US/docs/Web/CSS/CSS_Transitions/Using_CSS_transitions">CSS transitions</a>.</p>

<h3 id="HTML_Content">HTML Content</h3>

<pre class="brush: html">&lt;div class="channel"&gt;
  &lt;img src="https://mdn.mozillademos.org/files/11827/developer.png" class="icon"/&gt;
  &lt;span class="note"&gt;Firefox Developer Edition&lt;/span&gt;
&lt;/div&gt;</pre>

<h3 id="CSS_Content">CSS Content</h3>

<pre class="brush: css">.channel {
  padding: 2em;
  margin: 0.5em;
  box-shadow: 1px 1px 5px #808080;
  margin: 1.5em;
}

.channel &gt; * {
  vertical-align: middle;
  line-height: normal;
}

.icon {
  width: 50px;
  height: 50px;
  filter: grayscale(100%);
  transition: transform 750ms ease-in, filter 750ms ease-in-out;
}

.note {
  margin-left: 1em;
  font: 1.5em "Open Sans",Arial,sans-serif;
  overflow: hidden;
  white-space: nowrap;
  display: inline-block;

  opacity: 0;
  width: 0;
  transition: opacity 500ms 150ms, width 500ms 150ms;
}

.icon#selected {
  filter: grayscale(0%);
  transform: scale(1.5);
}

.icon#selected+span {
  opacity: 1;
  width: 300px;
}
</pre>

<h3 id="JavaScript_Content">JavaScript Content</h3>

<pre class="brush: js">function toggleSelection(e) {
  if (e.button != 0) {
    return;
  }
  if (e.target.classList.contains("icon")) {
    var wasSelected = (e.target.getAttribute("id") == "selected");
    clearSelection();
    if (!wasSelected) {
      e.target.setAttribute("id", "selected");
    }
  }
}

function clearSelection() {
  var selected = document.getElementById("selected");
  if (selected) {
    selected.removeAttribute("id");
  }
}

document.addEventListener("click", toggleSelection);</pre>

